Bug 391190 - Large image not displayed or displayable
Summary: Large image not displayed or displayable
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 23:28 UTC by Nate Graham
Modified: 2018-03-13 02:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Comparison between Discover and store.kde.org: no large screenshot (733.10 KB, image/png)
2018-02-27 23:28 UTC, Nate Graham
Details
Thumbnails are tiny (98.00 KB, image/png)
2018-03-13 02:28 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-27 23:28:30 UTC
Created attachment 111072 [details]
Comparison between Discover and store.kde.org: no large screenshot

See attached screenshot. KNS entries typically have a single large screenshot. You can see it on store.kde.org, but not in Discover.
Comment 1 Aleix Pol 2018-03-12 14:41:54 UTC
Git commit 81f801a69aaa456a9f4288f76dc74b3f6fccc4f8 by Aleix Pol.
Committed on 12/03/2018 at 14:37.
Pushed by apol into branch 'Plasma/5.12'.

kns: Fix logic for adding screenshots

Add only if they're not present.

M  +1    -1    libdiscover/backends/KNSBackend/KNSResource.cpp

https://commits.kde.org/discover/81f801a69aaa456a9f4288f76dc74b3f6fccc4f8
Comment 2 Nate Graham 2018-03-13 02:28:21 UTC
Created attachment 111355 [details]
Thumbnails are tiny

OK, we get the large screenshots now, but their thumbnails are tiny! See attached screenshot. Should we track that with a new bug, or this one?
Comment 3 Nate Graham 2018-03-13 02:40:47 UTC
Decided to track it with a new bug: https://bugs.kde.org/show_bug.cgi?id=391792